## EvPageAction

EvPageAction —

## Synopsis

                EvPageActionPrivate;
                EvPageAction;
    void        ev_page_action_set_document     (EvPageAction *page_action,
                                                 EvDocument *document);
    void        ev_page_action_set_model        (EvPageAction *page_action,
                                                 GtkTreeModel *model);
    void        ev_page_action_grab_focus       (EvPageAction *page_action);

## Object Hierarchy

      GObject
       +----GtkAction
             +----EvPageAction

## Properties

      "model"                GtkTreeModel          : Read / Write
      "page-cache"           EvPageCache           : Read / Write

## Signals

    "activate-link"
                void        user_function      (EvPageAction *evpageaction,
                                                GObject      *arg1,
                                                gpointer      user_data)         : Run last / Action

## Description

## Details

### EvPageActionPrivate

    typedef struct _EvPageActionPrivate EvPageActionPrivate;

### EvPageAction

    typedef struct _EvPageAction EvPageAction;

### ev_page_action_set_document ()

    void        ev_page_action_set_document     (EvPageAction *page_action,
                                                 EvDocument *document);

`page_action` : |
`document` : |

### ev_page_action_set_model ()

    void        ev_page_action_set_model        (EvPageAction *page_action,
                                                 GtkTreeModel *model);

`page_action` : |
`model` : |

### ev_page_action_grab_focus ()

    void        ev_page_action_grab_focus       (EvPageAction *page_action);

`page_action` : |

## Property Details

### The "`model`" property

      "model"                GtkTreeModel          : Read / Write

Current Model.

### The "`page-cache`" property

      "page-cache"           EvPageCache           : Read / Write

Current page cache.

## Signal Details

### The "activate-link" signal

    void        user_function                  (EvPageAction *evpageaction,
                                                GObject      *arg1,
                                                gpointer      user_data)         : Run last / Action

`evpageaction` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.